Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 51)
@@ -289,6 +289,103 @@
         }
         #endregion
 
+        #region セルの結合描画処理
+        /// <summary>
+        /// セルの結合描画処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void CellConnective(object sender, DataGridViewCellPaintingEventArgs e)
+        {
+            try
+            {
+                DataGridView dgv = (DataGridView)sender;
+
+                // ヘッダーは処理しない
+                if (e.RowIndex < 0) return;
+
+                // 結合タイトル以外は処理しない
+                if (CommonMotions.chkObjectIsNull(dgv.Rows[e.RowIndex].Cells[(int)GridColumn.JoinTitleFlg].Value)) return;
+                if (CommonMotions.cnvInt(dgv.Rows[e.RowIndex].Cells[(int)GridColumn.JoinTitleFlg].Value) == 0) return;
+
+                switch (e.ColumnIndex)
+                {
+                    // 項目名称
+                    case (int)GridColumn.ItemName:
+                    // 業種名称
+                    case (int)GridColumn.TextName:
+                    // 協力会社コードタイプ
+                    case (int)GridColumn.CompanyType:
+                    // 協力会社コード
+                    case (int)GridColumn.CompanyCode:
+                    // 協力会社名称
+                    case (int)GridColumn.CompanyName:
+                        break;
+                    default:
+                        return;
+                }
+
+                // 名称取得
+                string strValue = CommonMotions.cnvString(dgv.Rows[e.RowIndex].Cells[(int)GridColumn.ItemName].Value);
+
+                // セルの矩形を取得
+                Rectangle rect = e.CellBounds;
+                // 開始位置・幅の修正を行う
+
+                rect.X = dgv.GetCellDisplayRectangle((int)GridColumn.ItemName, e.RowIndex, false).X;
+                rect.Width = 0;
+                for (int i = (int)GridColumn.ItemName; i <= (int)GridColumn.CompanyName; i++)
+                {
+                    rect.Width += dgv.Columns[i].Width;
+                }
+
+                // 矩形の位置を補正
+                rect.X -= 1;
+                rect.Y -= 1;
+
+                // 背景、枠線、セルの値を描画
+                using (SolidBrush brush = new SolidBrush(e.CellStyle.BackColor))
+                {
+                    // 背景の描画
+                    e.Graphics.FillRectangle(brush, rect);
+
+                    using (Pen pen = new Pen(dgv.GridColor))
+                    {
+                        // 枠線の描画
+                        e.Graphics.DrawRectangle(pen, rect);
+                    }
+                }
+
+                // 描画文字取得
+                TextFormatFlags txtFlg = TextFormatFlags.Left | TextFormatFlags.VerticalCenter;
+
+                // テキストの位置を調整
+                rect.Y += 2;
+
+                Color DrowForeColor = e.CellStyle.ForeColor;
+                Font DrowFont = e.CellStyle.Font;
+                // セルに表示するテキストを描画
+                TextRenderer.DrawText(e.Graphics, strValue, DrowFont, rect, DrowForeColor, txtFlg);
+
+                // 行色を変える・セルロック
+                for (int i = 0; i < dgv.ColumnCount; i++)
+                {
+                    dgv.Rows[e.RowIndex].Cells[i].Style.ForeColor = Color.Black;
+                    dgv.Rows[e.RowIndex].Cells[i].Style.BackColor = Color.Goldenrod;
+                    dgv.Rows[e.RowIndex].Cells[i].ReadOnly = true;
+                }
+
+                // イベントハンドラ内で処理を行ったことを通知
+                e.Handled = true;
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region ヘッダー情報表示
         /// <summary>
         /// ヘッダー情報表示
@@ -299,6 +396,7 @@
             IOMPersonInCharge picDB = new IOMPersonInCharge();
             IOMConstructionType ctypeDB = new IOMConstructionType();
             IOConstructionLedger LedgerDB = new IOConstructionLedger();
+            IOConstructionBudget BudgetDB = new IOConstructionBudget();
             try
             {
                 m_HeaderToolTip = new ToolTip();
@@ -309,7 +407,7 @@
                 // 工事詳細台帳を取得する
                 string strSQL = LedgerDB.CreatePrimarykeyString(m_ConstructionCode);
                 ConstructionLedger LedgerRec = new ConstructionLedger();
-                bool bBudgetExist = LedgerDB.SelectAction(strSQL, ref LedgerRec);
+                bool bLedgerExist = LedgerDB.SelectAction(strSQL, ref LedgerRec);
 
                 // データ表示
                 m_DspLabelCtrl[(int)DspLblCtrlName.CreateDate].Text = LedgerRec.CreateDate.ToShortDateString();                                 // 作成日
@@ -320,11 +418,20 @@
                 int OrdersPrice = 0;
                 if (LedgerRec.IntegrationFlg == (int)CommonDefine.LedgerIntegration.Normal)
                 {
-                    // 工事増減の変更がない場合は工事情報より持ってくる
-                    OrdersPrice = GetOrderPraiceTotal();
+                    // 結合工事判定
+                    if (m_ConstructionBaseInfo.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.Standard)
+                    {
+                        // 結合工事以外は工事情報より持ってくる
+                        OrdersPrice = GetOrderPraiceTotal();
+                    }
+                    else
+                    {
+                        // 結合工事は工事情報を足しこんで持ってくる
+                        OrdersPrice = GetJoinTotal();
+                    }
                 }
                 else
-                {   // 工事増減の変更がある場合積算見積書の合計を持ってくる
+                {   // 積算見積書の合計を持ってくる
                     OrdersPrice = GetEstimateTotal();
                 }
                 // 入力完了後は確定した受注金額を持ってくる
@@ -372,8 +479,10 @@
 
                 // 副担当取得
                 PersonCode = m_ConstructionBaseInfo.ConstrSubPersonCode;
+                pnlGroup2.Visible = false;
                 if (PersonCode != 0)
                 {
+                    pnlGroup2.Visible = true;
                     strSQL = picDB.CreatePrimarykeyString(PersonCode);
                     PersonInChargeMaster AssistantRec = new PersonInChargeMaster();
                     picDB.SelectAction(strSQL, ref AssistantRec);
@@ -439,15 +548,23 @@
                 comptip.SetToolTip(btnComplate, "このボタンを押すと台帳入力済みになって入力出来なくなります！！");
 
                 // 一般ユーザーは人件費を変更できない
-                int User = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;                  // 一般ユーザー
-                if (CommonMotions.LoginUserData.SecurityManagement == User)
+                bool bVisible = true;
+                // 新セキュリティデータ対応済みかを確認する
+                if (CommonMotions.LoginUserData.SecCode == 0)
                 {
-                    btnAssistantChange.Visible = false;
-                    btnInstractorChange.Visible = false;
-                    // 受注金額変更ボタンは上長以上のみ
-                    btnChangePrice.Visible = false;
+                    int User = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;                  // 一般ユーザー
+                    if (CommonMotions.LoginUserData.SecurityManagement == User) bVisible = false;
                 }
-
+                else
+                {
+                    int User = CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key;            // 一般ユーザー
+                    if (CommonMotions.LoginUserSecurity.SecRank == User) bVisible = false;
+                }
+                //btnAssistantChange.Visible = bVisible;
+                //btnInstractorChange.Visible = bVisible;
+                // 受注金額変更ボタンは上長以上のみ
+                btnChangePrice.Visible = bVisible;
+                
                 return true;
             }
             catch (Exception ex)
@@ -461,10 +578,122 @@
                 picDB.close(); picDB = null;
                 ctypeDB.close(); ctypeDB = null;
                 LedgerDB.close(); LedgerDB = null;
+                BudgetDB.close(); BudgetDB = null;
             }
         }
         #endregion
 
+        #region 給与ラジオボタンチェック処理
+        /// <summary>
+        /// 給与ラジオボタンチェック処理
+        /// </summary>
+        /// <param name="Flag"></param>
+        /// <param name="rdButton1"></param>
+        /// <param name="rdButton2"></param>
+        /// <param name="rdButton3"></param>
+        /// <param name="txtBox"></param>
+        private void SalaryRadioButtonCheck(ConstructionLedgerDetail DetailRec)
+        {
+            try
+            {
+                RadioButton[] rdbWork = new RadioButton[3];
+                TextBox txtWork = null;
+                // 担当無は振分無
+                if (DetailRec.CompanyCode == 0) DetailRec.SalaryFlg = (int)CommonDefine.SalaryDevision.Noting;
+                switch (DetailRec.GroupCount)
+                {
+                    case (int)DataGroup.Payroll:
+                        // 担当者給与振分区分
+                        rdbWork[0] = radioButton1;
+                        rdbWork[1] = radioButton2;
+                        rdbWork[2] = radioButton3;
+                        txtWork = textBox1;
+                        break;
+                    case (int)DataGroup.Assistant:
+                        // 副担当者給与振分区分
+                        rdbWork[0] = radioButton4;
+                        rdbWork[1] = radioButton5;
+                        rdbWork[2] = radioButton6;
+                        txtWork = textBox2;
+                        break;
+
+                }
+                
+                switch (DetailRec.SalaryFlg)
+                {
+                    case (int)CommonDefine.SalaryDevision.All:       // 全日
+                        rdbWork[0].Checked = true;
+                        break;
+                    case (int)CommonDefine.SalaryDevision.Noting:    // 振分無
+                        rdbWork[1].Checked = true;
+                        break;
+                    case (int)CommonDefine.SalaryDevision.DaysInput: // 日数入力
+                        rdbWork[2].Checked = true;
+                        txtWork.Text = DetailRec.SalaryDays.ToString("#,##");
+                        break;
+                }
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 結合工事データ合計取得
+        /// <summary>
+        /// 結合工事データ合計取得
+        /// </summary>
+        /// <returns></returns>
+        private int GetJoinTotal()
+        {
+            IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
+            try
+            {
+                int OrdersPrice = 0;
+
+                string strSQL = "SELECT SUM(B.ORDERSDECISIONPRICE) + SUM(E.ORDERSDECISIONPRICE)";
+                strSQL += " FROM CONSTRUCTIONLINK A";
+
+                strSQL += " LEFT JOIN CONSTRUCTIONLINK D";
+                strSQL += string.Format(" ON (D.CONSTRUCTIONCODE = A.FLUCTUATIONCODE AND D.LINKTYPE = {0})", (int)CommonDefine.LinkDataType.FluctuationType);
+                strSQL += " LEFT JOIN CONSTRUCTIONBASEINFO E ON (E.CONSTRUCTIONCODE = D.FLUCTUATIONCODE)";
+                strSQL += " LEFT JOIN PROCESSAPPROVAL F ON (F.CONSTRUCTIONCODE = E.CONSTRUCTIONCODE";
+                strSQL += string.Format(" AND F.APPROVALCODE = {0}", (int)ClsExcute.ApprovalListNo.ConstructionBudgetApproval);
+                strSQL += string.Format(" AND F.ORDERNO = {0}", CommonDefine.s_Default_OrderNo);
+                strSQL += string.Format(" AND F.SEQNO = 1 AND F.APPROVALSTATUS = {0})", (int)CommonDefine.ApprovalStatus.Approval);
+
+                strSQL += ", CONSTRUCTIONBASEINFO B, PROCESSAPPROVAL C";
+
+                strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}",m_ConstructionCode);
+                strSQL += string.Format(" AND A.LINKTYPE = {0}", (int)CommonDefine.LinkDataType.JoinType);
+                strSQL += " AND B.CONSTRUCTIONCODE = A.FLUCTUATIONCODE";
+                strSQL += " AND (C.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE";
+                strSQL += string.Format(" AND C.APPROVALCODE = {0}", (int)ClsExcute.ApprovalListNo.ConstructionBudgetApproval);
+                strSQL += string.Format(" AND C.ORDERNO = {0}", CommonDefine.s_Default_OrderNo);
+                strSQL += string.Format(" AND C.SEQNO = 1 AND C.APPROVALSTATUS = {0})", (int)CommonDefine.ApprovalStatus.Approval);
+
+                ArrayList DatArray = new ArrayList();
+                BaseDB.ExecuteReader(strSQL, ref DatArray);
+                object[] objRet = (object[])DatArray[0];
+
+                OrdersPrice = CommonMotions.cnvInt(objRet[0]);
+
+                return OrdersPrice;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return 0;
+            }
+            finally
+            {
+                BaseDB.close(); BaseDB = null;
+            }
+        }
+        #endregion
+
         #region 工事増減を含むデータ合計取得
         /// <summary>
         /// 工事増減を含むデータ合計取得
@@ -481,7 +710,7 @@
                     // 工事増減の変更がない場合は工事情報の受注金額より持ってくる
                     OrdersPrice = (int)m_ConstructionBaseInfo.OrdersDecisionPrice;
                 }
-                else if (m_ConstructionBaseInfo.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Pearent)
+                else if (m_ConstructionBaseInfo.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Parent)
                 {
                     int iCode1 = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("非 受 注")).Key;
 
@@ -488,10 +717,10 @@
                     string strSQL = "SELECT SUM(A.ORDERSDECISIONPRICE) FROM CONSTRUCTIONBASEINFO A";
                     strSQL += " WHERE A.CONSTRUCTIONCODE IN";
                     strSQL += " (SELECT B.CONSTRUCTIONCODE FROM PROCESSAPPROVAL B";
-                    strSQL += string.Format(" WHERE  TRUNCATE(B.CONSTRUCTIONCODE / 100, 0) = {0}", CommonMotions.cnvTruncate(m_ConstructionCode / 100));
+                    strSQL += string.Format(" WHERE  TRUNCATE(B.CONSTRUCTIONCODE / 100) = {0}", CommonMotions.cnvTruncate(m_ConstructionCode / 100));
                     strSQL += string.Format(" AND B.APPROVALCODE = {0}", (int)ClsExcute.ApprovalListNo.ConstructionBudgetApproval);
-                    strSQL += " AND B.SEQNO = 1";
-                    strSQL += string.Format(" AND B.APPROVALSTATUS = {0})", (int)CommonDefine.ApprovalStatus.Approval);
+                    strSQL += string.Format(" AND B.ORDERNO = {0}", CommonDefine.s_Default_OrderNo);
+                    strSQL += string.Format(" AND B.SEQNO = 1 AND B.APPROVALSTATUS = {0})", (int)CommonDefine.ApprovalStatus.Approval);
                     strSQL += string.Format(" AND A.CONSTRUCTIONSTATUSFLG != {0}", iCode1);
 
                     ArrayList DatArray = new ArrayList();
@@ -499,19 +728,6 @@
                     object[] objRet = (object[])DatArray[0];
 
                     OrdersPrice = CommonMotions.cnvInt(objRet[0]);
-
-                    //// 工事増減の変更がある場合は工事増減情報を介して工事情報の受注金額を集計する
-                    //string strSQL = "SELECT SUM(A.ORDERSDECISIONPRICE) FROM CONSTRUCTIONBASEINFO A";
-                    //strSQL += string.Format(" WHERE A.CONSTRUCTIONSTATUSFLG != {0}", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("非 受 注")).Key);
-                    //strSQL += " AND A.CONSTRUCTIONCODE IN (SELECT FLUCTUATIONCODE FROM CONSTRUCTIONLINK";
-                    //strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0})", m_ConstructionCode);
-                    //ArrayList arList = new ArrayList();
-                    //if (BaseDB.ExecuteReader(strSQL, ref arList))
-                    //{
-                    //    object[] wrkobj = (object[])arList[0];
-                    //    OrdersPrice = CommonMotions.cnvInt(wrkobj[0]);
-                    //}
-                    //OrdersPrice += (int)m_ConstructionBaseInfo.OrdersDecisionPrice;
                 }
                 return OrdersPrice;
             }
@@ -538,7 +754,7 @@
             try
             {
                 string strSQL = EDataDB.CreatePrimarykeyString(m_ConstructionCode);
-                strSQL += " AND FixedItemCode = 'A'";
+                strSQL += string.Format(" AND FixedItemCode = '{0}'", CommonDefine.GetEstimateTotalSeqNo(CommonDefine.EstimateTotalSeqNo.ToTal1));
                 EstimateData EDataRec = new EstimateData();
                 EDataDB.SelectAction(strSQL, ref EDataRec);
 
@@ -632,10 +848,20 @@
                 // グリッドの全行を対象にする
                 foreach (DataGridViewRow CurRow in dgv.Rows)
                 {
+                    // 明細以外は処理しない
+                    if (CommonMotions.chkObjectIsNull(CurRow.Cells[(int)GridColumn.TotalFlg].Value)) continue;
+                    if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.TotalFlg].Value) != 0) continue;
+
+                    if (CommonMotions.chkObjectIsNull(CurRow.Cells[(int)GridColumn.TitleFlg].Value)) continue;
+                    if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.TitleFlg].Value) != 0) continue;
+
+                    if (CommonMotions.chkObjectIsNull(CurRow.Cells[(int)GridColumn.BlankFlg].Value)) continue;
+                    if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.BlankFlg].Value) != 0) continue;
+
                     // 空白行は処理しない
                     if (BlankLine(CurRow.Index)) continue;
 
-                    for (int ix = ((int)GridColumn.payment + 1); ix < dgv.ColumnCount; ix++)
+                    for (int ix = ((int)GridColumn.Payment + 1); ix < dgv.ColumnCount; ix++)
                     {
                         // 空白カラムは処理しない
                         if (CommonMotions.cnvString(CurRow.Cells[ix].Value).Length == 0) continue;
@@ -877,7 +1103,6 @@
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-
         }
         #endregion
 
@@ -953,12 +1178,16 @@
                 {
                     // 請求金額
                 }
-
                 else if (RowCount == m_CostsRowCount[(int)CostsRowLine.CurrentProfitRowLine])
                 {
                     // 現在利益金額
 
                 }
+                else if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.JoinTitleFlg].Value) == 1)
+                {   // 結合タイトル
+                    SetForeColor = Color.Black;
+                    SetBackColor = Color.White;
+                }
                 else
                 {   // 明細行
                     // 列の色を変える
@@ -1075,7 +1304,7 @@
         }
         #endregion
 
-        // ---------- 工事予算書よりデータを取得する
+        // ---------- 工事予算書よりデータを取得する↓↓
         #region 工事予算書よりデータを取得する
         /// <summary>
         /// 工事予算書よりデータを取得する
@@ -1298,8 +1527,9 @@
                     RowData[(int)GridColumn.Percent] = dExpenses.ToString("0.00");
                     RowData[(int)GridColumn.IndependentFlg] = "1";
                     RowData[(int)GridColumn.FluctuationFlg] = "0";
-                    RowData[(int)GridColumn.payment] = CalcValue.ToString("#,#");
-
+                    RowData[(int)GridColumn.Payment] = CalcValue.ToString("#,#");
+                    RowData[(int)GridColumn.SourceCode] = m_ConstructionCode;
+                    
                     // 合計欄位置取得
                     int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
                     RowData[TotalPoint] = CalcValue.ToString("#,#");
@@ -1354,14 +1584,16 @@
                     RowData[(int)GridColumn.GroupCount] = GroupNo;
                     RowData[(int)GridColumn.ItemName] = DetailRec.FirstString;
                     RowData[(int)GridColumn.TextName] = DetailRec.SecondString;
-                    RowData[(int)GridColumn.CompanyCode] = DetailRec.CompanyType;
+                    RowData[(int)GridColumn.CompanyType] = DetailRec.CompanyType;
                     RowData[(int)GridColumn.CompanyCode] = DetailRec.CompanyCode;
                     RowData[(int)GridColumn.CompanyName] = DetailRec.CompanyName;
                     RowData[(int)GridColumn.EstimatePrice] = DetailRec.EstimatePrice.ToString("#,0");
                     RowData[(int)GridColumn.ExecPrice] = DetailRec.ExecutionAmount.ToString("#,0");
                     RowData[(int)GridColumn.Percent] = DetailRec.AmountConfigRate.ToString("0.00");
+                    RowData[(int)GridColumn.SourceCode] = m_ConstructionCode;
                     RowData[(int)GridColumn.IndependentFlg] = "1";
                     RowData[(int)GridColumn.FluctuationFlg] = "0";
+                    RowData[(int)GridColumn.PurchaseOrderFlg] = (int)CommonDefine.PurchaseOrderFlg.NoCreate;
 
                     // 合計欄位置取得
                     int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
@@ -1448,6 +1680,7 @@
                 RowData[(int)GridColumn.Percent] = CommonMotions.cnvDouble(wrkobj[2]).ToString("0.00");
                 RowData[(int)GridColumn.IndependentFlg] = "1";
                 RowData[(int)GridColumn.FluctuationFlg] = "0";
+                RowData[(int)GridColumn.SourceCode] = m_ConstructionCode;
 
                 // 合計欄位置取得
                 int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
@@ -1539,7 +1772,7 @@
                         CreatePersonCosts(GroupNo, DetailRec, bExists, ref RowData);
                         
                         // 一般ユーザーは指導員の給与を見えないようにする
-                        if (!CheckLeaderOrUser()) DetailRec.SecondString = string.Empty;
+                        if (CheckLeaderOrUser()) DetailRec.SecondString = string.Empty;
                         break;
                     // 副担当者給与費用
                     case (int)FrmConstructionBudget.DataGroup.AssistantCosts:
@@ -1593,6 +1826,7 @@
                 RowData[(int)GridColumn.Percent] = DetailRec.AmountConfigRate.ToString("0.00");
                 RowData[(int)GridColumn.IndependentFlg] = "1";
                 RowData[(int)GridColumn.FluctuationFlg] = "0";
+                RowData[(int)GridColumn.SourceCode] = m_ConstructionCode;
 
                 // 合計欄位置取得
                 int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
@@ -1655,9 +1889,12 @@
 
                 DataGridView dgv = dgvAllDisplay;
 
+                int SalaryFlg = 0;                  // 給与振分区分
+                int SalaryDays = 0;                 // 給与振分日数
                 // データがある場合はデータよりセットする
                 if (bExists)
                 {
+                    // 工事予算書からデータを取得する
                     string strSQL = BudgetDB.CreatePrimarykeyString(m_ConstructionCode);
                     ConstructionBudget BudgetRec = new ConstructionBudget();
                     BudgetDB.SelectAction(strSQL, ref BudgetRec);
@@ -1665,26 +1902,39 @@
                     switch (GroupNo)
                     {
                         case (int)DataGroup.Payroll:                                                    // 担当者
-                            RowData[(int)GridColumn.SalaryFlg] = BudgetRec.SalaryFlg;                   // 給与振分区分
-                            RowData[(int)GridColumn.SalaryDays] = BudgetRec.SalaryDays;                 // 給与振分日数
+                            SalaryFlg = BudgetRec.SalaryFlg;                                            // 給与振分区分
+                            SalaryDays = BudgetRec.SalaryDays;                                          // 給与振分日数
                             break;
                         case (int)DataGroup.Assistant:                                                  // 副担当者
-                            RowData[(int)GridColumn.SalaryFlg] = BudgetRec.A_SalaryFlg;                 // 給与振分区分
-                            RowData[(int)GridColumn.SalaryDays] = BudgetRec.A_SalaryDays;               // 給与振分日数
+                            if (BudgetRec.AssistantCode == 0)                                           // 給与振分区分
+                                SalaryFlg = (int)CommonDefine.SalaryDevision.Noting;
+                            else
+                                SalaryFlg = BudgetRec.A_SalaryFlg;
+                            SalaryDays = BudgetRec.A_SalaryDays;                                        // 給与振分日数
                             break;
                         case (int)DataGroup.Instructor:                                                 // 指導員
-                            RowData[(int)GridColumn.SalaryFlg] = BudgetRec.I_SalaryFlg;                 // 給与振分区分
-                            RowData[(int)GridColumn.SalaryDays] = BudgetRec.I_SalaryDays;               // 給与振分日数
+                            if (BudgetRec.InstructorCode == 0)                                          // 給与振分区分
+                                SalaryFlg = (int)CommonDefine.SalaryDevision.Noting;
+                            else
+                                SalaryFlg = BudgetRec.I_SalaryFlg;
+                            SalaryDays = BudgetRec.I_SalaryDays;                                        // 給与振分日数
                             break;
                     }
                 }
                 else
                 {   // 無い場合は振分無にする
-                    RowData[(int)GridColumn.SalaryFlg] = (int)CommonDefine.SalaryDevision.Noting;               // 給与振分区分
-                    RowData[(int)GridColumn.SalaryDays] = 0;                                                    // 給与振分日数
+                    SalaryFlg = (int)CommonDefine.SalaryDevision.Noting;                                // 給与振分区分
+                    SalaryDays = 0;                                                                     // 給与振分日数
                 }
-                
-                RowData[(int)GridColumn.OperatingFlg] = (int)CommonDefine.SalaryOperateKind.Oparateing;         // 担当中フラグ
+
+                if (SalaryFlg == 0)                                                                         // 給与振分区分
+                    RowData[(int)GridColumn.SalaryFlg] = (int)CommonDefine.SalaryDevision.Noting;
+                else
+                    RowData[(int)GridColumn.SalaryFlg] = SalaryFlg;
+
+                RowData[(int)GridColumn.SalaryDays] = SalaryDays;                                           // 給与振分日数
+                RowData[(int)GridColumn.OperatingFlg] = (int)CommonDefine.SalaryOperateKind.Oparateing;     // 担当中フラグ
+                RowData[(int)GridColumn.CompanyType] = (int)CommonDefine.CodeDataType.Person;               // コードタイプ（担当者）
             }
             catch (Exception ex)
             {
@@ -1696,7 +1946,7 @@
             }
         }
         #endregion
-        // ---------- 工事予算書よりデータを取得する
+        // ---------- 工事予算書よりデータを取得する↑↑
 
         #region 明細合計を集計
         /// <summary>
@@ -1737,7 +1987,7 @@
 
                     // 月毎加算
                     int arrayCnt = 0;
-                    for (int i = (int)GridColumn.payment; i < dgv.ColumnCount; i++, arrayCnt++)
+                    for (int i = (int)GridColumn.Payment; i < dgv.ColumnCount; i++, arrayCnt++)
                     {
                         MTotal[arrayCnt] += CommonMotions.cnvInt(wrkRow.Cells[i].Value);
                     }
@@ -1769,7 +2019,7 @@
                 double PercentValue = 0;
                 int TotalValue = 0;
                 int ResultValue = 0;
-                int Colcnt = dgv.ColumnCount - (int)GridColumn.payment;
+                int Colcnt = dgv.ColumnCount - (int)GridColumn.Payment;
                 int[] MTotal = new int[Colcnt];
 
                 // 合計値取得
@@ -1815,7 +2065,7 @@
                 double PercentValue = 0;
                 int TotalValue = 0;
                 int ResultPriceValue = 0;
-                int Colcnt = dgv.ColumnCount - (int)GridColumn.payment;
+                int Colcnt = dgv.ColumnCount - (int)GridColumn.Payment;
                 int[] MTotal = new int[Colcnt];
 
                 // 合計値取得
@@ -1832,6 +2082,7 @@
                 RowData[(int)GridColumn.EstimatePrice] = EstimateValue.ToString("#,0");
                 RowData[(int)GridColumn.ExecPrice] = ExecValue.ToString("#,0");
                 RowData[(int)GridColumn.Percent] = CalculattionPercent((double)ExecValue).ToString("0.00");
+                RowData[(int)GridColumn.SourceCode] = m_ConstructionCode;
 
                 // 行セット
                 CreateDataRow(RowData);
@@ -1901,7 +2152,7 @@
                 double PercentValue = 0;
                 int TotalValue = 0;
                 int ResultPriceValue = 0;
-                int Colcnt = dgv.ColumnCount - (int)GridColumn.payment;
+                int Colcnt = dgv.ColumnCount - (int)GridColumn.Payment;
                 int[] MTotal = new int[Colcnt];
 
                 // 合計値取得
@@ -1928,7 +2179,7 @@
 
                     // 月毎合計
                     int arrayCnt = 0;
-                    for (int i = (int)GridColumn.payment; i < dgv.ColumnCount; i++, arrayCnt++)
+                    for (int i = (int)GridColumn.Payment; i < dgv.ColumnCount; i++, arrayCnt++)
                     {
                         RowData[i] = MTotal[arrayCnt].ToString("#,0");
                     }
@@ -1977,7 +2228,7 @@
 
                     // 月毎合計
                     int arrayCnt = 0;
-                    for (int i = (int)GridColumn.payment; i < dgv.ColumnCount; i++, arrayCnt++)
+                    for (int i = (int)GridColumn.Payment; i < dgv.ColumnCount; i++, arrayCnt++)
                     {
                         dgv.Rows[LineCnt].Cells[i].Value = MTotal[arrayCnt].ToString("#,0");
                     }
@@ -2022,9 +2273,21 @@
                 // 請求金額行取得
                 int BillingAmount = CommonMotions.cnvInt(dgv.Rows[BillingAmountRow].Cells[TotalPoint].Value);
 
+                // 現在利益金額数取得
                 int LineCnt = m_CostsRowCount[(int)CostsRowLine.CurrentProfitRowLine];
 
+                int workTotal = 0;
+                int workBilling = 0;
+                for (int ix = (int)GridColumn.Payment; ix < TotalPoint; ix++)
+                {
+                    workTotal += CommonMotions.cnvInt(dgv.Rows[AllTotalRow].Cells[ix].Value);
+                    workBilling += CommonMotions.cnvInt(dgv.Rows[BillingAmountRow].Cells[ix].Value);
+
+                    dgv.Rows[LineCnt].Cells[ix].Value = (workBilling - workTotal).ToString("#,#");
+                }
+
                 // 現在利益金額
+                if (AllTotal < 0) AllTotal *= -1;
                 int Total = BillingAmount - AllTotal;
                 dgv.Rows[LineCnt].Cells[TotalPoint].Value = Total.ToString("#,0");
             }
@@ -2051,6 +2314,7 @@
                 RowData[(int)GridColumn.FixFlg] = "*";
                 RowData[(int)GridColumn.GroupCount] = (int)DataGroup.CurrentProfit;
                 RowData[(int)GridColumn.ItemName] = s_GroupTitle[(int)DataGroup.CurrentProfit];
+                RowData[(int)GridColumn.SourceCode] = m_ConstructionCode;
 
                 // 合計欄位置取得
                 int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
@@ -2064,6 +2328,7 @@
                 int BillingAmount = CommonMotions.cnvInt(dgv.Rows[BillingAmountRow].Cells[TotalPoint].Value);
 
                 // 現在利益金額
+                if (AllTotal < 0) AllTotal *= -1;
                 RowData[TotalPoint] = (BillingAmount - AllTotal).ToString("#,0");
 
                 // 行セット
